Bug 48587

Summary: Make ruby work with vertical text.
Product: WebKit Reporter: Dave Hyatt <hyatt>
Component: Layout and RenderingAssignee: Dave Hyatt <hyatt>
Status: RESOLVED FIXED    
Severity: Normal CC: ossy
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 46123    
Attachments:
Description Flags
Patch
none
Patch simon.fraser: review+

Description Dave Hyatt 2010-10-28 16:38:49 PDT
Make ruby work with vertical text.
Comment 1 Adele Peterson 2010-10-29 15:11:22 PDT
<rdar://problem/8612027>
Comment 2 Dave Hyatt 2010-11-08 14:08:05 PST
Created attachment 73278 [details]
Patch
Comment 3 Dave Hyatt 2010-11-08 14:09:03 PST
Created attachment 73279 [details]
Patch
Comment 4 Dave Hyatt 2010-11-08 14:21:56 PST
Fixed in r71572.
Comment 5 Csaba Osztrogon√°c 2010-11-08 14:52:56 PST
This patch is incorrect, and it broke Qt minimal build, 
because you should use isRubyRun in #if ENABLE(RUBY) block.
Could you fix it?
Comment 6 Csaba Osztrogon√°c 2010-11-08 15:17:02 PST
Fixed in http://trac.webkit.org/changeset/71579 , thx Dave.